#include "GUIUtility.hpp"

using namespace GUIHelpers;

const RGBA GUIHelpers::StringtoRGBA( const cString& colour )
{
	RGBA rtn = DEFAULT;
	cString check = colour.upper();
	if (check == "WHITE")
		rtn = WHITE;
	if (check == "BLACK")
		rtn = BLACK;
	if (check == "RED")
		rtn = RED;
	if (check == "ORANGE")
		rtn = ORANGE;
	if (check == "YELLOW")
		rtn = YELLOW;
	if (check == "GREEN")
		rtn = GREEN;
	if (check == "CYAN")
		rtn = CYAN;
	if (check == "BLUE")
		rtn = BLUE;
	if (check == "VIOLET")
		rtn = VIOLET;
	if (check == "MAGENTA")
		rtn = MAGENTA;
	if (check == "ROSE")
		rtn = ROSE;

	return rtn;
}